org.apache.uima.fit.factory

## Class TypeSystemDescriptionFactory

- java.lang.Object
- - org.apache.uima.fit.factory.TypeSystemDescriptionFactory

-     public final class TypeSystemDescriptionFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.uima.resource.metadata.TypeSystemDescription` | `createTypeSystemDescription()` Creates a `TypeSystemDescription` from all type descriptions that can be found via the default import pattern or via the `META-INF/org.apache.uima.fit/types.txt` files in the classpath.
    `static org.apache.uima.resource.metadata.TypeSystemDescription` | `createTypeSystemDescription(String... descriptorNames)` Creates a TypeSystemDescription from descriptor names.
    `static org.apache.uima.resource.metadata.TypeSystemDescription` | `createTypeSystemDescriptionFromPath(String... descriptorURIs)` Creates a TypeSystemDescription from a descriptor file
    `static void` | `forceTypeDescriptorsScan()` Force rescan of type descriptors.
    `static String[]` | `scanTypeDescriptors()` Get all currently accessible type system descriptor locations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createTypeSystemDescription

          public static org.apache.uima.resource.metadata.TypeSystemDescription createTypeSystemDescription(String... descriptorNames)

      Creates a TypeSystemDescription from descriptor names.
      Parameters:
        `descriptorNames` - The fully qualified, Java-style, dotted descriptor names.
      Returns:
        A TypeSystemDescription that includes the types from all of the specified files.

    - #### createTypeSystemDescriptionFromPath

          public static org.apache.uima.resource.metadata.TypeSystemDescription createTypeSystemDescriptionFromPath(String... descriptorURIs)

      Creates a TypeSystemDescription from a descriptor file
      Parameters:
        `descriptorURIs` - The descriptor file paths.
      Returns:
        A TypeSystemDescription that includes the types from all of the specified files.

    - #### createTypeSystemDescription

          public static org.apache.uima.resource.metadata.TypeSystemDescription createTypeSystemDescription()
                                                                                                     throws org.apache.uima.resource.ResourceInitializationException

      Creates a `TypeSystemDescription` from all type descriptions that can be found via the default import pattern or via the `META-INF/org.apache.uima.fit/types.txt` files in the classpath.
      Returns:
        the auto-scanned type system.
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if the collected type system descriptions cannot be merged.

    - #### scanTypeDescriptors

          public static String[] scanTypeDescriptors()
                                              throws org.apache.uima.resource.ResourceInitializationException

      Get all currently accessible type system descriptor locations. A scan is actually only performed on the first call and the locations are cached. To force a re-scan use `forceTypeDescriptorsScan()`.
      Returns:
        an array of locations.
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if the locations could not be resolved.

    - #### forceTypeDescriptorsScan

          public static void forceTypeDescriptorsScan()

      Force rescan of type descriptors. The next call to `scanTypeDescriptors()` will rescan all auto-import locations.

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.